
/****************************************************

		AppleEvent Constants for Mac F2C
		
	
	This header file defines all the constants required 
	to send AppleEvents to Mac F2C from C/C++ source code.
	
	3 Nov 95
	IMT

****************************************************/


#ifndef F2cAETerms_H

#define F2cAETerms_H

/*  Class for Mac F2C Apple Events */

#define		kF2CEventClass					'F2Ci'
#define		kCoReClass						'CoRe'

/* classes defined by Mac F2C */

	/*	cApplication	*/
	
	
/* properties defined by Mac F2C */

#define		pCheckSubscripts				'F2pa'
#define		pDoLoopsOnce					'F2pb'
#define		pDefaultVariableType			'F2pc'
#define		pFreeFormatInput				'F2pd'
#define		pCutAtColumn72					'F2pe'
#define		pDoubleComplex					'F2pf'
#define		pBackslashEscapes				'F2pg'
#define		pIntegerSize					'F2ph'
#define		pInteger8						'F2pi'

#define		pCodeGenerated					'F2pj'
#define		pHonorCase						'F2pk'
#define		pLocalVariables					'F2pl'
#define		pAlignCharStrings				'F2pm'
#define		pCommonAsExtern					'F2pn'
#define		pCommonSeparate					'F2po'
#define		pCommonLookLocal				'F2pp'
#define		pFortranEvaluation				'F2pq'
#define		pDoublePrecision				'F2pr'
#define		pCastRealFunctions				'F2ps'
#define		pPromoteSingleToDouble			'F2pt'
#define		pMultiDimSubscripts				'F2pu'

#define		pPrototypes						'F2pv'
#define		pRetranslate					'F2pw'
#define		pInferTypes						'F2px'

#define		pSourceAsComments				'F2py'
#define		pLineNumbers					'F2pz'
#define		pRejectFortran77				'F2pA'
#define		pWarnings						'F2pB'

#define		pEquivalences					'F2pC'
#define		pExternals						'F2pD'
#define		pStatementLabels				'F2pE'
#define		pNesting						'F2pF'
#define		pNames							'F2pG'
#define		pLiterals						'F2pH'
#define		pContinuations					'F2pI'
#define		pImpliedLabels					'F2pJ'

#define		pInteractWith					'F2pL'
#define		pInteractAddFiles				'F2pM'
#define		pInteractHow					'F2pN'

#define		pSkipNonFORTRAN					'F2pO'
#define		pOutputFileType					'F2pK'


/* enumerations defined by Mac F2C */

#define		enumVariableTypes				'F2ea'
#define		kUndefined						'F2eb'
#define		kFortranRules					'F2ec'

#define		enumIntegerSize					'F2ed'
#define		k4Byte							'F2ee'
#define		k2Byte							'F2ef'

#define		enumCodeStyle					'F2eg'
#define		kKrC							'F2eh'
#define		kAnsiC							'F2ei'
#define		kCpp							'F2ej'

#define		enumLocalVariables				'F2ek'
#define		kAutomatic						'F2el'
#define		kStatic							'F2em'

#define		enumPrototypes					'F2en'
#define		kCodeOnly						'F2eo'
#define		kCodeAndProtos					'F2ep'
#define		kProtosOnly						'F2eq'

#define		enumSuppressWarnings			'F2er'
#define		kAllWarnings					'F2es'
#define		kNoWarnings						'F2et'
#define		kF66Warnings					'F2eu'
#define		kAlignWarnings					'F2ev'

#define		enumInteractionType				'F2ew'
#define		kNoInteraction					'F2ex'
#define		kTouchFiles						'F2ey'
#define		kCompileFiles					'F2ez'
#define		kUpdateProject					'F2eA'
#define		kBuildTarget					'F2eB'

#define		enumCompilerList				'F2eC'
#define		kCompilerNone					'F2eD'
#define		kCompilerTPM					'F2eE'
#define		kCompilerSPM					'F2eF'
#define		kCompilerCW68K					'F2eG'
#define		kCompilerCWPPC					'F2eH'
#define		kCompilerCWIde					'F2eI'




/* The event IDs for the two Mac F2C events */

#define		kAETranslateEvent				'F2C1'
#define		kAEf2cEvent					    'F2C2'



/* The parameters accepted by the two Mac F2C events */

#define		keyUnixCmdStr			'F2Cs'		/* used by kAEf2cEvent */


#endif	// F2cAETerms_H

